.gpa-months-graph {
  &__months {
    fill: currentcolor;
    font-size: var(--font-size-base);
  }

  &__years {
    fill: var(--state-color-mute);
    font-size: var(--font-size-smaller);
    font-weight: var(--font-weight-bold);
  }

  &__line {
    stroke: var(--border-color);
    stroke-width: 1px;
  }

  &__today {
    stroke: var(--state-color-green);
    stroke-width: 1px;
  }

  &__sheltered {
    fill: var(--state-color-blue);
    opacity: 0.2;
  }

  &__soil {
    fill: var(--state-color-orange);
    opacity: 0.2;
  }

  &__harvest {
    fill: var(--state-color-green);
    opacity: 0.2;
  }

  &__bar {
    fill: var(--state-color-green);
    stroke: var(--state-color-green);
    stroke-width: 4;

    &--removed {
      fill: var(--state-color-mute);
      stroke: var(--state-color-mute);
    }

    &--overdue {
      fill: var(--state-color-red);
      stroke: var(--state-color-red);
      stroke-dasharray: 5 3;
    }

    &--no-planned-removal {
      fill: var(--state-color-blue);
      stroke: var(--state-color-blue);
      stroke-dasharray: 5 3;
      stroke-width: 1;
    }

    &--removal-overdue-to-today {
      fill: var(--state-color-green);
      stroke: var(--state-color-green);
      stroke-dasharray: 5 3;
      stroke-width: 4;
    }
  }

  &__not-planned {
    stroke: var(--state-color-red);
    stroke-dasharray: 2 5;
    stroke-width: 2;
  }
}
